<form autocomplete="off" onsubmit="event.preventDefault();">
  {{#each settings as |setting|}}
  <!-- {{setting.key}} -->
  <div class="form-group">
    <label for="{{setting.key}}">{{localize setting.name}}</label>
    <div class="form-fields">
      {{#if setting.isSelect}}
      <select name="{{setting.key}}">
        {{#select setting.value}}
        {{#each setting.choices as |label value|}}
        <option value="{{value}}">{{localize label}}</option>
        {{/each}}
        {{/select}}
      </select>
      {{else if setting.isCheckbox}}
      <input type="checkbox" name="{{setting.key}}" {{checked setting.value}} />
      {{else if setting.isDateTime}}
      <input type="datetime-local" name="{{setting.key}}" value="{{setting.value}}" min="2019-01-01T00:00" required="required" />
      {{/if}}
    </div>
    <p class="notes">{{localize setting.hint}}</p>
  </div>
  {{/each}}

  <div class="form-group">
    <button type="submit" name="submit">
      <i class="far fa-save"></i> {{localize "SETTINGS.Save"}}
    </button>
    <button type="button" name="reset">
      <i class="fas fa-undo"></i> {{localize "SETTINGS.Reset"}}
    </button>
  </div>
</form>
